## org.eclipse.datatools.connectivity.ui.wizards
Class ConnectionProfileSummaryPage

    java.lang.Object
      org.eclipse.jface.dialogs.DialogPage
          org.eclipse.jface.wizard.WizardPage
              org.eclipse.datatools.connectivity.internal.ui.wizards.SummaryWizardPage
                  org.eclipse.datatools.connectivity.ui.wizards.ConnectionProfileSummaryPage

All Implemented Interfaces:
  org.eclipse.datatools.connectivity.internal.ui.wizards.ISummary, org.eclipse.help.IContextProvider, org.eclipse.jface.dialogs.IDialogPage, org.eclipse.jface.dialogs.IMessageProvider, org.eclipse.jface.wizard.IWizardPage

    public class ConnectionProfileSummaryPage

extends org.eclipse.datatools.connectivity.internal.ui.wizards.SummaryWizardPage
implements org.eclipse.help.IContextProvider

Summary Page + Test Connection

Author:
  shongxum

Field Summary

Fields inherited from interface org.eclipse.help.IContextProvider
`NONE, SELECTION`

Fields inherited from interface org.eclipse.jface.dialogs.IMessageProvider
`ERROR, INFORMATION, NONE, WARNING`

Constructor Summary
`ConnectionProfileSummaryPage(org.eclipse.datatools.connectivity.internal.ui.wizards.ISummaryDataSource source)`

Method Summary
`void` `createControl(org.eclipse.swt.widgets.Composite parent)`
`org.eclipse.help.IContext` `getContext(java.lang.Object target)`
`int` `getContextChangeMask()`
`java.lang.String` `getSearchExpression(java.lang.Object target)`

Methods inherited from class org.eclipse.datatools.connectivity.internal.ui.wizards.SummaryWizardPage
`canFlipToNextPage, loadSummaryData, setPropertyColTitle, setSummaryDataSource, setValueColTitle, setVisible`

Methods inherited from class org.eclipse.jface.wizard.WizardPage
`getImage, getName, getNextPage, getPreviousPage, getShell, getWizard, isPageComplete, setDescription, setErrorMessage, setImageDescriptor, setMessage, setPageComplete, setPreviousPage, setTitle, setWizard, toString`

Methods inherited from class org.eclipse.jface.dialogs.DialogPage
`dispose, getControl, getDescription, getErrorMessage, getMessage, getMessageType, getTitle, performHelp, setMessage`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.wizard.IWizardPage
`getName, getNextPage, getPreviousPage, getWizard, isPageComplete, setPreviousPage, setWizard`

Methods inherited from interface org.eclipse.jface.dialogs.IDialogPage
`dispose, getControl, getDescription, getErrorMessage, getImage, getMessage, getTitle, performHelp, setDescription, setImageDescriptor, setTitle`

Constructor Detail

### ConnectionProfileSummaryPage

    public ConnectionProfileSummaryPage(org.eclipse.datatools.connectivity.internal.ui.wizards.ISummaryDataSource source)

Parameters:
  `source` -

Method Detail

### createControl

    public void createControl(org.eclipse.swt.widgets.Composite parent)

  Specified by:
    `createControl` in interface `org.eclipse.jface.dialogs.IDialogPage`
  Overrides:
    `createControl` in class `org.eclipse.datatools.connectivity.internal.ui.wizards.SummaryWizardPage`

### getContext

    public org.eclipse.help.IContext getContext(java.lang.Object target)

  Specified by:
    `getContext` in interface `org.eclipse.help.IContextProvider`

### getContextChangeMask

    public int getContextChangeMask()

  Specified by:
    `getContextChangeMask` in interface `org.eclipse.help.IContextProvider`

### getSearchExpression

    public java.lang.String getSearchExpression(java.lang.Object target)

  Specified by:
    `getSearchExpression` in interface `org.eclipse.help.IContextProvider`